Subject: [bug#77090] Patch to add linux-libre mnt/reform variant

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 23 Mar 2025 17:02:13 +0100

Vagrant Cascadian <[email-masked]> writes:
> Working on submitting the issue upstream...

Thank you; if you include this license header you made upstream include
(commit
<https://source.mnt.re/reform/reform-debian-packages/-/commit/af0a461d38e13481323f061d9ff6827d1d13873b>),
it LGTM.  Please push.  Although I cannot judge your style of
customizing linux-libre and configuration, but style could be altered
later.

I also have not tested the new v3 kernel, because I have no MNT Reform
and its devicetree, kernel features do nothing for my Orange Pi anyway.
Though its patches might serve as inspiration for fixing devicetree.

Further:

> +              (license:fsf-free "file://filter-output" "# SPDX-License-Identifier: FSFAP
> +# Copying and distribution of this file, with or without modification, are
> +# permitted in any medium without royalty provided the copyright notice and
> +# this notice are preserved. This file is offered as-is, without any warranty.")

When I git grep for license:fsf-free, others do not include the license
in a comment.  But I do not know more.

> +              license:bsd-2

Good!

Regards,
Florian